/* [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved. */
# include "meqh.h"
# ifdef SINGLE
# define FCT   LAPACKE_spptrf
# define PPTRF spptrf
# else
# define FCT   LAPACKE_dpptrf
# define PPTRF dpptrf
# endif
lapack_int FCT(int matrix_layout, char uplo, lapack_int n, FLT *ap)
{
 ptrdiff_t n_;
 ptrdiff_t info;
 n_ = n;
 PPTRF(&uplo, &n_, ap, &info);
 return (lapack_int) (info<0 ? info-1 : info);
}
